Subject: The HTTP/2 PRIORITY_UPDATE frame uses an 8-bit type field

From: Lucas Pardue <[email-masked]>
Date: Wed, 15 Dec 2021 17:29:24 +0000

Hello HTTP WG,

During the IESG review we found a typo in the diagram for the HTTP/2
PRIORITY_UPDATE frame, which declared it as a QUIC-style variable length
integer. This is a bit nonsensical since the HTTP/2 protocol is responsible
for the definition of HTTP/2 frame headers, which includes the type field.
In the priorities draft we are most certainly not changing HTTP/2 frame
header layouts - that was never the goal or intention. And I'm sure anyone
that tried to implement it that way would have spotted the obvious problems
that arise very quickly.

We have an editorial fix ready [1], the frame type field is correctly
labelled as 8-bits as it always should be. But just to alleviate any doubt,
if you did really implement HTTP/2 PRIORITY_UPDATE any somehow used a
variable length integer encoding for the type field, please speak up now.

Cheers,
Lucas

[1] - https://github.com/httpwg/http-extensions/pull/1860